#ifndef WEAPON_CIRCUIT_PARAM_WIDGET_H
#define WEAPON_CIRCUIT_PARAM_WIDGET_H

#include <QtGui>
#include "ui_weaponCircuitParamWidget.h"

class WeaponCircuitParamWidget : public QWidget {
	Q_OBJECT

private:
	Ui::WeaponCircuitParamWidget ui_;
public:
	WeaponCircuitParamWidget(QWidget * parent) : QWidget(parent) {
		ui_.setupUi(this);
	}

	void setLaserGuns(unsigned long value) {
		ui_.laserGrunsValue->setText(QString::number(value));
	}

	void setDroneGuns(unsigned long value) {
		ui_.droneGunsValue->setText(QString::number(value));
	}
};

#endif